Package twisted :: Package conch :: Package ssh :: Module connection

[frames | no frames]

## Module twisted.conch.ssh.connection

This module contains the implementation of the ssh-connection service, which allows access to the shell and port-forwarding.

This module is unstable.

Maintainer: Paul Swartz

Classes
`SSHConnection` |

Variable Summary
`str` | `alphanums` = `'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQ...`
`int` | `EXTENDED_DATA_STDERR` = 1
`dict` | `messages` = `{96: 'MSG_CHANNEL_EOF', 97: 'MSG_CHANNEL_CLOS...`
`int` | `MSG_CHANNEL_CLOSE` = 97
`int` | `MSG_CHANNEL_DATA` = 94
`int` | `MSG_CHANNEL_EOF` = 96
`int` | `MSG_CHANNEL_EXTENDED_DATA` = 95
`int` | `MSG_CHANNEL_FAILURE` = 100
`int` | `MSG_CHANNEL_OPEN` = 90
`int` | `MSG_CHANNEL_OPEN_CONFIRMATION` = 91
`int` | `MSG_CHANNEL_OPEN_FAILURE` = 92
`int` | `MSG_CHANNEL_REQUEST` = 98
`int` | `MSG_CHANNEL_SUCCESS` = 99
`int` | `MSG_CHANNEL_WINDOW_ADJUST` = 93
`int` | `MSG_GLOBAL_REQUEST` = 80
`int` | `MSG_REQUEST_FAILURE` = 82
`int` | `MSG_REQUEST_SUCCESS` = 81
`int` | `OPEN_ADMINISTRATIVELY_PROHIBITED` = 1
`int` | `OPEN_CONNECT_FAILED` = 2
`int` | `OPEN_RESOURCE_SHORTAGE` = 4
`int` | `OPEN_UNKNOWN_CHANNEL_TYPE` = 3
`str` | `TRANSLATE_TABLE` = `'_____________________________________...`

Variable Details

### alphanums

  Type:
    `str`
  Value:

        'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'

### EXTENDED_DATA_STDERR

  Type:
    `int`
  Value:

        1

### messages

  Type:
    `dict`
  Value:

        {80: 'MSG_GLOBAL_REQUEST',
         81: 'MSG_REQUEST_SUCCESS',
         82: 'MSG_REQUEST_FAILURE',
         90: 'MSG_CHANNEL_OPEN',
         91: 'MSG_CHANNEL_OPEN_CONFIRMATION',
         92: 'MSG_CHANNEL_OPEN_FAILURE',
         93: 'MSG_CHANNEL_WINDOW_ADJUST',
         94: 'MSG_CHANNEL_DATA',
        ...

### MSG_CHANNEL_CLOSE

  Type:
    `int`
  Value:

        97

### MSG_CHANNEL_DATA

  Type:
    `int`
  Value:

        94

### MSG_CHANNEL_EOF

  Type:
    `int`
  Value:

        96

### MSG_CHANNEL_EXTENDED_DATA

  Type:
    `int`
  Value:

        95

### MSG_CHANNEL_FAILURE

  Type:
    `int`
  Value:

        100

### MSG_CHANNEL_OPEN

  Type:
    `int`
  Value:

        90

### MSG_CHANNEL_OPEN_CONFIRMATION

  Type:
    `int`
  Value:

        91

### MSG_CHANNEL_OPEN_FAILURE

  Type:
    `int`
  Value:

        92

### MSG_CHANNEL_REQUEST

  Type:
    `int`
  Value:

        98

### MSG_CHANNEL_SUCCESS

  Type:
    `int`
  Value:

        99

### MSG_CHANNEL_WINDOW_ADJUST

  Type:
    `int`
  Value:

        93

### MSG_GLOBAL_REQUEST

  Type:
    `int`
  Value:

        80

### MSG_REQUEST_FAILURE

  Type:
    `int`
  Value:

        82

### MSG_REQUEST_SUCCESS

  Type:
    `int`
  Value:

        81

### OPEN_ADMINISTRATIVELY_PROHIBITED

  Type:
    `int`
  Value:

        1

### OPEN_CONNECT_FAILED

  Type:
    `int`
  Value:

        2

### OPEN_RESOURCE_SHORTAGE

  Type:
    `int`
  Value:

        4

### OPEN_UNKNOWN_CHANNEL_TYPE

  Type:
    `int`
  Value:

        3

### TRANSLATE_TABLE

  Type:
    `str`
  Value:

        '________________________________________________0123456789_______ABCD\
        EFGHIJKLMNOPQRSTUVWXYZ______abcdefghijklmnopqrstuvwxyz________________\
        ______________________________________________________________________\
        _______________________________________________'

Generated by Epydoc 2.0 on Sat May 15 20:07:57 2004 | http://epydoc.sf.net